Is Contract
POST
Checks whether the input address is a contract address or not.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
addressstringrequired
Parameter specifying the address to query. Can be entered as a 40-character hexadecimal string starting with 0x.Responses
resultboolean
Returns true if the input address is a contract, false otherwise.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "MISSING_REQUIRED_PARAMETER","message": "Missing required parameter: { PARAMETER_NAME }"}
cURL
curl -X POST 'https://web3.nodit.io/v1/avalanche/mainnet/blockchain/isContract' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"}'